Package: org.apache.groovy.ginq.dsl.expression

## [Java] Interface DataSourceHolder

-     public interface DataSourceHolder

  Represents data source holder, e.g. from, joins, where, groupby, etc.

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public DataSourceExpression` | `getDataSourceExpression()`
    `` | `public void` | `setDataSourceExpression(DataSourceExpression dataSourceExpression)`

- - ### Method Detail

    - #### public DataSourceExpression getDataSourceExpression()

    - #### public void setDataSourceExpression(DataSourceExpression dataSourceExpression)